Mailinglist Archive: opensuse (3637 mails)

< Previous Next >
X windows problems
  • From: Cory Steers <cory.steers.gmu9@xxxxxxxxxxxxx>
  • Date: Thu, 31 May 2001 00:13:07 -0500
  • Message-id: <FFE54901205FD311B3BA00902771C69C0D7D5D80@xxxxxxxxxxxxxxxxxxxxx>
I may have found a bug in upgrading xloader to xloader-4.0-75 on a
7.0 distro. Originally I was running with xloader-4.0-55 and having no
problems. Once I upgraded to 4.0-75, I would get this error message when
running "startx" from a command line as a non root user:

Fatal server error:
xf86OpenConsole: Server must be running with root permissions
You should be using Xwrapper to start the serer or xdm.
We strongly advise against making the server SUID root!

I finally traced the problem down. The xloader upgrade creates a
file called /usr/X11R6/bin/xinit4, and a /usr/X11R6/bin/xinit link pointing
to it. The 55 version had xinit pointing to xinit3x. If I change the link
back, it works as expected.

Anybody know anything about xinit4 versus xinit3x, why I can't use
it as a non root user, and why I may need it since I seem to be able to
continue using xinit3x?

thanks,

< Previous Next >
This Thread
  • No further messages